package ru.yandex.webmaster3.internal.common.security;

import com.fasterxml.jackson.annotation.JsonCreator;

/**
 * @author avhaliullin
 */
public class InternalGrantOptions {
    private final boolean allowOffline;

    @JsonCreator
    public InternalGrantOptions(boolean allowOffline) {
        this.allowOffline = allowOffline;
    }

    public boolean isAllowOffline() {
        return allowOffline;
    }

    @Override
    public String toString() {
        return "{" +
                "allowOffline=" + allowOffline +
                '}';
    }
}
